﻿@model MvcWebsiteOcc.Areas.administrators.Models.EventsGirl
@{
    ViewBag.Title = "Đăng ký dự thi";
    Layout = "~/Views/Shared/_LayoutDangKy.cshtml";
}
@{
    var url = Request.Headers["HOST"];
    var index = url.IndexOf(".");
    var subDomain = url.Substring(0, index);
    
}

@using (Html.BeginForm("register_event", "events", FormMethod.Post, new { @class = "form-vertical" }))
//using (Ajax.BeginForm("register_event_girl", "events", new AjaxOptions { OnBegin = "onBeginSubmit", OnSuccess = "onSuccess" }, new { @class = "form-vertical", id = "register_event" }))
{
   
    <input name="subdomain" type="hidden" value="@subDomain" />

    <div class="register-container animated fadeInDown" style="margin: auto;">

        <div class="logobox" style="height: 100px !important; background: @ViewBag.BG">
            <img src="/Static/frontend/hoakhoi/images/logo_hoakhoi.png" />
        </div>

        <div class="registerbox bg-white" style="padding-bottom: 10px;">
            <div class="row">
                <div class="registerbox-title" style="text-align: center; font-size: 30px; height: auto;">Đăng ký dự thi</div>
                <div class="col-lg-6 col-sm-6 col-xs-12">
                    <div class="registerbox-caption ">Thông tin cá nhân</div>

                    <div class="registerbox-textbox">
                        <span class="">Họ tên (Bắt buộc)</span>
                        @Html.TextBoxFor(p => p.Name, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Name)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Ngày sinh</span>
                        @Html.TextBox("ebirthDay", "28/06/1989", new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999", placeholder = "Ngày sinh" })
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Nơi sinh</span>
                        @Html.TextBoxFor(p => p.AddressBorn, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.AddressBorn)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Chiều cao</span>
                        @Html.TextBoxFor(p => p.Height, new { @class = "form-control " })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Height)</span>
                        <span class="">Ví dụ: 1m50</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Cân nặng</span>
                        @Html.TextBoxFor(p => p.Weight, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Weight)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Số đo 3 vòng</span>
                        @Html.TextBoxFor(p => p.ThreeRing, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.ThreeRing)</span>
                        <span class="">Ví dụ: 90-64-92</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Sở thích</span>
                        @Html.TextAreaFor(p => p.Love, new { @class = "form-control summernote textAuto" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Love)</span>
                    </div>


                </div>
                <div class="col-lg-6 col-sm-6 col-xs-12">
                    <div class="registerbox-caption ">Thông tin liên hệ</div>
                    <div class="registerbox-textbox">
                        <span class="">Chỗ ở hiện nay</span>
                        @Html.TextBoxFor(p => p.AddressNow, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.AddressNow)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Trường</span>
                        @Html.TextBoxFor(p => p.School, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.School)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Lớp</span>
                        @Html.TextBoxFor(p => p.EClass, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.EClass)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Điểm tổng kết</span>
                        @Html.TextBoxFor(p => p.Grade, new { @class = "form-control", data_mask = "9,9" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Grade)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Số điện thoại (Bắt buộc)</span>
                        @Html.TextBoxFor(p => p.Mobile, new { @class = "form-control mobilemask" })
                        <span class=" warning">@Html.ValidationMessageFor(p => p.Mobile)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Email (Bắt buộc)</span>
                        @Html.TextBoxFor(p => p.Email, new { @class = "form-control" })
                        <span class="warning">@Html.ValidationMessageFor(p => p.Email)</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="">Facebook</span>
                        @Html.TextBoxFor(p => p.Facebook, new { @class = "form-control" })
                        <span class=" warning">@Html.ValidationMessageFor(p => p.Facebook)</span>
                        <span class="">Truy cập trang cá nhân của bạn, copy link trên trình duyệt. Ví dụ: https://www.facebook.com/thanh.its</span>
                    </div>
                    <div class="registerbox-textbox">
                        <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>

                        <span class="help-block warning">@ViewBag.Mess</span>
                        @(Html.Kendo().Upload()
                                                                .Name("file_image")
                                                                .TemplateId("fileTemplate")
                                                                .Events(events => events.Select("onSelect"))
                                                                .Messages(m => m.Select("Upload ảnh"))
                                                                .Multiple(false)
                                                                   .HtmlAttributes(new { accept = "image/*" })
                                                               )


                        <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                                        <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                    </button>
                                                                </strong>

                        </script>
                    </div>
                </div>
            </div>


        </div>


        <div class="logobox" style="padding: 20px;">
            <div class="col-md-12" style="padding: 10px;">
                <div class="registerbox-textbox">
                    <b style="font-size: 20px;">Tiêu đề mail đăng ký</b>
                    @Html.TextBox("subject", null, new { @class = "form-control" })
                    <span class=" warning">@Html.ValidationMessageFor(p => p.Facebook)</span>
                </div>
            </div>
            <div class="col-md-12" style="padding: 10px;">
                <div class="registerbox-textbox" style="position: relative;">
                    <div class="g-recaptcha" data-theme="dark" data-sitekey="6LelYg4TAAAAAGisTH10N1cwAfs9E2X5u9OK64-A" style="transform: scale(0.77); -webkit-transform: scale(0.77); margin: auto; width: 100%;"></div>
                    @*@Html.Recaptcha(theme: CaptchaTheme.Dark)*@
                    <span class="warning">
                           @Html.ValidationMessage("ReCaptcha") 
                    </span>
                  
                </div>
            </div>

            <div class="registerbox-submit" style="margin: auto; width: 40%;">
                <button class="btn btn-block btn-primary  " type="submit" style="margin: auto">Đăng ký</button>
            </div>
        </div>
        <div class="logobox">
            <p>
                <b>Tiêu đề : “ Thí sinh Nguyễn Thị A đăng ký dự thi iMiss Thăng Long 2016 “</b>

                <br />
                Nội dung: Thí sinh đính kèm đơn đăng ký dự thi cùng <b>1 ảnh dự thi</b>
                <br />
                BTC sẽ xem xét hồ sơ và trả lời khi nhận được email của bạn
                <br />
                <b>Holine: 09.8390.8390 – 09.8383.0110 </b>
                <br />
                Website:<a href="http://@Request.Url.Host" target="_blank">www.imiss.hoakhoi.vn </a>
                <br />
                Facebook: <a href="http://www.facebook.com/hoakhoisinhvienhanoi " target="_blank">www.facebook.com/hoakhoisinhvienhanoi </a>

            </p>
        </div>
    </div>
    
}

<script>
    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>


@section PageScripts{

    <!-- /PAGE -->
    <script>
        var onBeginSubmit = function () {
            var v = grecaptcha.getResponse();
            if (v.length == 0) {
                alert("Bạn chưa xác nhận Capcha.");
                return false;
            }
        };

        var onSuccess = function () {
            alert("Tin nhắn gửi thành công ! Cản ơn bạn đã góp ý.");
            document.getElementById("register_event").reset();
           @* window.location.href = '@Url.Action("index", "home")'*@
        };
    </script>


    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();

        $('.textAuto').autosize({ append: "\n" });
    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                toolbar: false,
            });

        });

    </script>
}